### Method

# FwupdPlugin Context get_power_state

#### Declaration [src]

    FuPowerState
    fu_context_get_power_state (
      FuContext* self
    )

#### Description [src]

Gets if the system is on battery power, e.g. UPS or laptop battery.

Available since: | 1.8.11

Gets property | `FwupdPlugin.Context:power-state`

#### Return value

Returns: | `FuPowerState`
| A power state, e.g. `FU_POWER_STATE_BATTERY_DISCHARGING`.